package org.ntlab.radishforandroidstudio.framework.model3D;

import org.ntlab.radishforandroidstudio.java3d.GraphicsContext3D;
import org.ntlab.radishforandroidstudio.java3d.Light;
import org.ntlab.radishforandroidstudio.java3d.Node;
import org.ntlab.radishforandroidstudio.java3d.Transform3D;

import java.util.ArrayList;

public interface IViewer3D {
	public abstract void setGraphicsContext3D(GraphicsContext3D gc3D);
	public abstract void surfaceChanged(int width, int height);
	public abstract void onDrawFrame();
	public abstract void update(ArrayList<Light> lights, BackgroundBox skyBox);
	public abstract void pushTransform(Transform3D t);
	public abstract void popTransform();
	public abstract void draw(Node obj);
}
